Skip to main content
PUT
Atualizar webhook

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

webhookId
integer
required

Identificador do webhook.

Required range: x > 0

Body

application/json
url
string<uri>

URL que recebe o POST de cada evento assinado.

events
enum<string>[]

Eventos assinados por este endpoint. Pelo menos um é obrigatório.

Required array length: 1 - 17 elements
Available options:
transaction_created,
transaction_paid,
transaction_refunded,
transaction_updated,
transfer_completed,
transfer_canceled,
transfer_created,
transfer_updated,
infraction,
card_declined,
sale_lost,
cart_abandoned,
product_canceled,
release_access,
vturb_paid,
vk_metrics_purchase,
refund_requested
name
string

Apelido do webhook, para reconhecê-lo na lista.

Required string length: 1 - 255
isActive
boolean
default:true

false cadastra o webhook já pausado.

productIds
string[]

Restringe o webhook a estes produtos. Omitido, vale para todos os produtos da empresa.

Maximum array length: 50
Pattern: ^[cC][^\s-]{8,}$
offerIds
integer[]

Restringe o webhook a estas ofertas. Omitido, vale para todas as ofertas.

Maximum array length: 50
Required range: x > 0

Response

Webhook atualizado.

Webhook atualizado.

success
boolean
required

Sempre true em uma resposta bem-sucedida.

data
object
required